
Redmine - Defect #7305

undefined method `visible_custom_field_values' in users/show.rhtml

2011-01-12 08:03 - Artem La

Status: Closed Start date: 2011-01-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.1.0

Description

After updating redmine to 1.1.0.

Trying to view http://localhost/users/8 gives:

Processing UsersController#show (for 127.0.0.1 at 2011-01-12 01:02:11) [GET]

Parameters: {"action"=>"show", "id"=>"11", "controller"=>"users"}

Rendering template within layouts/base

Rendering users/show

ActionView::TemplateError (undefined method `visible_custom_field_values' for #<User:0xb692d914>) 

on line #12 of app/views/users/show.rhtml:

9: <% unless @user.pref.hide_mail >

10: <li><=l(:field_mail)%>: <%= mail_to(h(@user.mail), nil, :encode => 'javascript') ></li>

11: < end >

12: < @user.visible_custom_field_values.each do |custom_value| >

13: < if !custom_value.value.blank? >

14: <li><=h custom_value.custom_field.name%>: <%=h show_value(custom_value) ></li>

15: < end %>

app/views/users/show.rhtml:12:in `_run_rhtml_app47views47users47show46rhtml'

    app/controllers/users_controller.rb:79:in `show'

    app/controllers/users_controller.rb:78:in `show'

    /var/www/redmine/public/dispatch.fcgi:24

Rendering /var/www/redmine-1.1.0/public/500.html (500 Internal Server Error)

 Rails 2.3.5

Ruby 1.8.7 (2008-08-11 patchlevel 72) [i486-linux]

MySQL 5.0.67-0ubuntu6.1

Tried patch from #7297, but no luck

Related issues:

Is duplicate of Redmine - Defect #7297: Undefined method `visible_custom_fiel... Closed 2011-01-11

History

#1 - 2011-01-15 15:29 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

#2 - 2011-07-13 19:50 - Dave Abrahams

- Status changed from Closed to Reopened

This is not a duplicate; this one is about the "user" bug, not the "project" bug.

The patch won't help; this one is caused by incorrect installation instructions.  The fix is to download a fresh redmine, and copy everything out of its

vendor/plugins/ directory into your vendor/plugins/ directory, overwriting directories of the same name (emphasis added in case you're on windows,

which merges by default).
#3 - 2019-08-12 03:32 - Go MAEDA

- Status changed from Reopened to Closed

- Resolution changed from Duplicate to Cant reproduce

Please reopen this issue if you are still experiencing the problem.
